> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-powershell-api-guide/rasadmin/cmdlets/set-rasschedulemessage.md).

# Set-RASScheduleMessage

## SYNOPSIS

Modifies a Schedule Message from a Schedule Item.

## SYNTAX

```powershell
Set-RASScheduleMessage [-Id] <uint> -MessageId <uint> -ObjType {RDS | VDI | AVD} [-Enabled <bool>]
 [-Message <string>] [-MessageTitle <string>] [-SendMsgSecs <uint>] [-SendMsgWhen {Before | After}]
 [<CommonParameters>]
```

```powershell
Set-RASScheduleMessage [-Name] <string> [[-SiteId] <uint>] -MessageId <uint>
 -ObjType {RDS | VDI | AVD} [-Enabled <bool>] [-Message <string>] [-MessageTitle <string>]
 [-SendMsgSecs <uint>] [-SendMsgWhen {Before | After}] [<CommonParameters>]
```

## DESCRIPTION

Modifies a Schedule Message from a Schedule Item.

## EXAMPLES

### Example 1

```powershell
Set-RASScheduleMessage -ObjType VDI -Name "SchedItem" -Enabled 0 -SendMsgSecs 60 -SendMsgWhen Before -MessageTitle "messageTitle" -Message "messageBody"
```

Modifies the specified message by id within the specified schedule item by name.

### Example 2

```powershell
Set-RASScheduleMessage -ObjType VDI -Id 1 -MessageId 1 -Enabled 0 -SendMsgSecs 60 -SendMsgWhen Before -MessageTitle "messageTitle" -Message "messageBody"
```

Modifies the specified message by id within the specified schedule item by id.

## PARAMETERS

### -MessageId

Scheduler job message ID.

```yaml
Type: uint
Required: True
Position: Named
Default value: 0
Accept pipeline input: False
Accept wildcard characters: False
```

### -Enabled

Whether to enable or disable the message.

```yaml
Type: bool
Required: False
Position: Named
Default value: None
Accept pipeline input: False
Accept wildcard characters: False
```

### -MessageTitle

The title of the message.

```yaml
Type: string
Required: False
Position: Named
Default value: None
Accept pipeline input: False
Accept wildcard characters: False
```

### -Message

A message that should be sent to users before the job starts.

```yaml
Type: string
Required: False
Position: Named
Default value: None
Accept pipeline input: False
Accept wildcard characters: False
```

### -SendMsgSecs

Time interval in seconds before the job starts when the message to users should be sent.

```yaml
Type: uint
Required: False
Position: Named
Default value: None
Accept pipeline input: False
Accept wildcard characters: False
```

### -SendMsgWhen

Whether the message is sent Before/After the schedule is triggered.

SendMsgWhen can only be set to After in the case of Reboot.

Possible values: Before, After

Type reference: [SendMsgWhen](https://docs.parallels.com/landing/ras-powershell-api-guide/rasadmin/types/sendmsgwhen.md)

```yaml
Type: SendMsgWhen
Required: False
Position: Named
Default value: None
Accept pipeline input: False
Accept wildcard characters: False
```

### -Name

Scheduler job name.

```yaml
Type: string
Required: True
Position: 0
Default value: None
Accept pipeline input: False
Accept wildcard characters: False
```

### -SiteId

Site ID to modify the schedule job.

```yaml
Type: uint
Required: False
Position: 1
Default value: 0
Accept pipeline input: False
Accept wildcard characters: False
```

### -Id

Scheduler job ID.

```yaml
Type: uint
Required: True
Position: 0
Default value: 0
Accept pipeline input: False
Accept wildcard characters: False
```

### -ObjType

Schedule message object type.

Possible values: RDS, VDI, AVD

Type reference: [ScheduleObjType](https://docs.parallels.com/landing/ras-powershell-api-guide/rasadmin/types/scheduleobjtype.md)

```yaml
Type: ScheduleObjType
Required: True
Position: Named
Default value: 0
Accept pipeline input: False
Accept wildcard characters: False
```

### CommonParameters

This cmdlet supports the common parameters: -Debug, -ErrorAction, -ErrorVariable, -InformationAction, -InformationVariable, -OutVariable, -OutBuffer, -PipelineVariable, -Verbose, -WarningAction, and -WarningVariable. For more information, see [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

## INPUTS

### None

## OUTPUTS

### None

## RELATED LINKS

* [Get-RASSchedule](https://docs.parallels.com/landing/ras-powershell-api-guide/rasadmin/cmdlets/get-rasschedule.md)
* [Add-RASScheduleMessage](https://docs.parallels.com/landing/ras-powershell-api-guide/rasadmin/cmdlets/add-rasschedulemessage.md)
* [Get-RASScheduleMessage](https://docs.parallels.com/landing/ras-powershell-api-guide/rasadmin/cmdlets/get-rasschedulemessage.md)
* [Remove-RASScheduleMessage](https://docs.parallels.com/landing/ras-powershell-api-guide/rasadmin/cmdlets/remove-rasschedulemessage.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/rasadmin/cmdlets/set-rasschedulemessage.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
